package user

import (
	"ArmedPolice/app/controller/basic"
	"ArmedPolice/app/service"
)

type Menu struct{ *service.Session }

type MenuHandle func(session *service.Session) *Menu

func (c *Menu) List() (*basic.PageDataResponse, error) {
	return &basic.PageDataResponse{Data: nil, Count: 0}, nil
}

func (c *Menu) Form() error {
	return nil
}

func (c *Menu) Delete() error {
	return nil
}

func NewMenu() MenuHandle {
	return func(session *service.Session) *Menu {
		return &Menu{session}
	}
}
