package role

import (
	model2 "ArmedPolice/app/common/model"
	"ArmedPolice/app/controller/basic"
	"ArmedPolice/app/model"
	"ArmedPolice/app/service"
)

type Instance struct{ *service.Session }

type InstanceHandle func(session *service.Session) *Instance

func (c *Instance) List() (*basic.PageDataResponse, error) {
	mSysRole := model.NewSysRole()

	where := make([]*model2.ModelWhereOrder, 0)

	//if  {
	//
	//}
	out := make([]*model2.SysRole, 0)

	if err := model2.Find(mSysRole.SysRole, &out, where...); err != nil {
		return nil, err
	}

	return &basic.PageDataResponse{Data: nil, Count: 0}, nil
}

func (c *Instance) Form() error {
	return nil
}

func (c *Instance) Delete() error {
	return nil
}

func NewInstance() InstanceHandle {
	return func(session *service.Session) *Instance {
		return &Instance{session}
	}
}
